Created by Ubuntu Package Importer on 2013-05-04 and last modified on 2014-04-30
Get this branch:
bzr branch lp:ubuntu/saucy-proposed/ubuntu-release-upgrader
Members of Ubuntu branches can upload to this branch. Log in for directions.

Branch merges

Related bugs

Related blueprints

Branch information

Ubuntu branches
Review team:
Ubuntu Development Team

Recent revisions

39. By Brian Murray on 2014-04-23

Fix translations (hr, id, eo, ug) of check-new-release-gtk dialog
which cause a crash and users not to be notified of the new version.
(LP: #1311396)

38. By Brian Murray on 2014-04-21

Properly display error messages encountered by DistUpgradeFetcherCore.
(LP: #1310851)

37. By Brian Murray on 2014-03-07

* debian/source_ubuntu-release-upgrader.py: create a DuplicateSignature by
  stripping out the tmpdir from the Traceback (LP: #1289580)
* debian/control.py: depend on python-apport since DistUpgradeApport.py
  imports it and the release upgrader does not use python3 (LP: #1289604)

36. By Brian Murray on 2013-12-12

Ensure quantal specific files (DistUpgrade.cfg and demoted.cfg) are in the
release upgrader tarball

35. By Brian Murray on 2013-12-06

Support release upgrades from Quantal to Saucy as Raring becomes
End of Life before Quantal does. (LP: #1258639)

34. By Brian Murray on 2013-10-25

DistUpgrade/DistUpgradeCache.py: Do not initialize the cache until we know
it is unlocked. (LP: #1214186)

33. By Brian Murray on 2013-10-18

Remove lubuntu-desktop PostUpgradeRemove rule as it is unnecessary
(LP: #1241123)

32. By Brian Murray on 2013-10-04

Instead of using gksu to authenticate for the distribution upgrade, use
do-release-upgrade with pkexec (LP: #1210649)

31. By Brian Murray on 2013-09-17

* Call update-manager instead of raising it's UnsupportedDialog
  error. (LP: #1210643) Thanks to Dylan McCall for some help with this.
* Replace references to 13.04 with 13.10 (LP: #1225665)

30. By Brian Murray on 2013-09-12

[ Brian Murray ]
* test/test_sources_list.py: resolve test failure regarding EOL upgrades
* DistUpgradeQuirks.py: pep8 cleanup, remove some additional unnecessary
* DistUpgrade/patches/: remove pycompile patch

[ Steve Langasek ]
* Drop all quirks for upgrades prior to the karmic->lucid upgrade; all
  releases earlier than 10.04 are entirely EOLed, and in any case users
  should not be upgrading directly from such old releases to 13.10 or
  later without going through the intermediate LTS releases, so this is
  all dead code.
* Drop use of base-installer for detecting "recommended" kernels for the
  hardware. So far this code was only ever used for a one-time transition
  when more specialized kernel flavors became available on i386 that were
  preferred over the -386 flavor, and in the meantime the code is causing
  wrong results on upgrade for users of UbuntuStudio, which ships a kernel
  flavor that's not known by base-installer. LP: #1220898.

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
This branch contains Public information 
Everyone can see this information.